import { select, range } from 'd3';
const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');

const makeFruit = type => ({type});

const fruits = range(5).map(() => makeFruit('apple'));

svg.selectAll('cicle')
   .data(fruits)
   .enter().append('circle')
		.attr('cx', (d,i) => i * 120 + 60)
		.attr('cy', height /2)
		.attr('fill','#c11d1d')
		.attr('r',50);

fruits.pop();

svg.selectAll('cicle')
   .data(fruits)
	 .exit()
	 .attr('fill','black');